Автор Тема: Antique-retro-2.6.18-alt12M40.3  (Прочитано 27148 раз)

Оффлайн Vasiliy

  • Давно тут
  • **
  • Сообщений: 309
  • +++
Re: Antique-retro-2.6.18-alt12M40.3
« Ответ #105 : 10.07.2013 14:57:17 »
[root@localhost www]# apt-get install opera-8.54-20060330.1-static-qt.i386-en.rpm
Reading Package Lists... Done
Building Dependency Tree... Done
Selecting opera for 'opera-8.54-20060330.1-static-qt.i386-en.rpm'
The following NEW packages will be installed:
  opera
0 upgraded, 1 newly installed, 0 removed and 21 not upgraded.
Need to get 0B/6267kB of archives.
After unpacking 14.4MB of additional disk space will be used.
? и в Synaptic захожу и поиском не нахожу ни одной opera? И в папках usr/bin, usr/lib//, usr/X11R6/bin следов нет.
Собрался ставить из репо 10.63, галка CD отключена..., а 10.63 там нет..., обновляю сведения, сомтрю..., а ставить нечего, 10.63 там нет!
Пробую 7 и 9...
[root@localhost www]# dir
opera-7.54-20050131.1-static-qt.i386-en.rpm
opera-8.54-20060330.1-static-qt.i386-en.rpm
opera-9.27-20080331.1-static-qt.i386-en.rpm
[root@localhost www]# apt-get install opera-7.54-20050131.1-static-qt.i386-en.rpm
Reading Package Lists... Done
Building Dependency Tree... Done
Selecting opera for 'opera-7.54-20050131.1-static-qt.i386-en.rpm'
The following NEW packages will be installed:
  opera
0 upgraded, 1 newly installed, 0 removed and 21 not upgraded.
Need to get 0B/5280kB of archives.
After unpacking 12.1MB of additional disk space will be used.
Не устанавливается 7.54. Каталог /home/vasiliy/.opera пуст. Synaptic - получить сведения - искать:opera - нету.
[root@localhost www]# dir
opera-7.54-20050131.1-static-qt.i386-en.rpm
opera-8.54-20060330.1-static-qt.i386-en.rpm
opera-9.27-20080331.1-static-qt.i386-en.rpm
[root@localhost www]# apt-get install opera-9.27-20080331.1-static-qt.i386-en.rpm
Reading Package Lists... Done
Building Dependency Tree... Done
Selecting opera for 'opera-9.27-20080331.1-static-qt.i386-en.rpm'
The following NEW packages will be installed:
  opera
0 upgraded, 1 newly installed, 0 removed and 21 not upgraded.
Need to get 0B/7407kB of archives.
After unpacking 16.6MB of additional disk space will be used.
Аналогичная картина. О, вроде из-за того, что нельзя apt-get и synaptic одновременно использовать..., потому, что как вырубил synaptic, сразу 9.27 заработала.
Удалил 9.27, почистил папку, пробую 8-ку.
[root@localhost www]# apt-get install opera-8.54-20060330.1-static-qt.i386-en.rpm
Reading Package Lists... Done
Building Dependency Tree... Done
Selecting opera for 'opera-8.54-20060330.1-static-qt.i386-en.rpm'
The following NEW packages will be installed:
  opera
0 upgraded, 1 newly installed, 0 removed and 21 not upgraded.
Need to get 0B/6267kB of archives.
After unpacking 14.4MB of additional disk space will be used.
Committing changes...
Preparing...                 ########################################### [100%]
1: opera                     ########################################### [100%]
Could not find icon installation directory, icons not installed.
Running /usr/lib/rpm/posttrans-filetriggers
Done.
[root@localhost www]#
Запуская 8-ку из usr/bin, usr/lib//, usr/X11R6/bin - не пускается. И после удаления 8-ки, версия 10.63 в synaptic так и не появилась. Это последствия установки левых пакетов?
« Последнее редактирование: 10.07.2013 16:33:05 от Vasiliy »

Оффлайн YYY

  • Мастер
  • ***
  • Сообщений: 5 416
Re: Antique-retro-2.6.18-alt12M40.3
« Ответ #106 : 10.07.2013 21:05:51 »
подождите!

Вот вы установили 8ку...
И что говорил
ls -l /usr/bin/oper*

и если есть скрипт киньте его на форум и еще скопируйте как точно ругается в терминале опера
если ее запустить как
/usr/bin/opera

Оффлайн Vasiliy

  • Давно тут
  • **
  • Сообщений: 309
  • +++
Re: Antique-retro-2.6.18-alt12M40.3
« Ответ #107 : 11.07.2013 08:56:26 »
подождите!...
Скинул, вот так она отвечает.
[root@localhost www]# ls -l /usr/bin/opera
-rwxr-xr-x 1 root root 5941 Mar 30  2006 /usr/bin/opera
« Последнее редактирование: 11.07.2013 09:16:19 от sb »

Оффлайн YYY

  • Мастер
  • ***
  • Сообщений: 5 416
Re: Antique-retro-2.6.18-alt12M40.3
« Ответ #108 : 11.07.2013 09:05:04 »
и что в терминале по
/usr/bin/opera

?

Оффлайн Vasiliy

  • Давно тут
  • **
  • Сообщений: 309
  • +++
Re: Antique-retro-2.6.18-alt12M40.3
« Ответ #109 : 11.07.2013 09:46:52 »
и что в терминале по
/usr/bin/opera

?
В терминале:
[root@localhost www]# /usr/bin/opera
ERROR: ld.so: object 'libjvm.so' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object 'libawt.so' from LD_PRELOAD cannot be preloaded: ignored.
Segmentation fault
[root@localhost www]#

Оффлайн ruslandh

  • Поспешай не торопясь !
  • Модератор глобальный
  • *****
  • Сообщений: 30 571
  • Учиться .... Телепатами не рождаются, ими ....
    • Email
Re: Antique-retro-2.6.18-alt12M40.3
« Ответ #110 : 11.07.2013 15:17:38 »
Не может загрузить свои библиотеки.

Оффлайн YYY

  • Мастер
  • ***
  • Сообщений: 5 416
Re: Antique-retro-2.6.18-alt12M40.3
« Ответ #111 : 11.07.2013 15:45:06 »
Не может загрузить свои библиотеки.
Не.

ERROR: ld.so: object 'libjvm.so' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object 'libawt.so' from LD_PRELOAD cannot be preloaded: ignored.

Это ерунда... у меня тоже ругался но работал...

А в домашнем каталоге точно все удалено?
/home/user/.opera

Тогда может не
8.54-20060330
а чуть ранее версию...
http://arc.opera.com/pub/opera/linux/852/final/en/i386/static/opera-8.52-20060201.1-static-qt.i386-en.rpm
http://arc.opera.com/pub/opera/linux/851/final/en/i386/opera-8.51-20051114.1-static-qt.i386-en.rpm


Собрался ставить из репо 10.63
В репозитории 4ки нет оперы. Во времена 4ки не было возможности внести в репозиторий.
Она была только на СД.


« Последнее редактирование: 11.07.2013 15:49:24 от YYY »

Оффлайн Vasiliy

  • Давно тут
  • **
  • Сообщений: 309
  • +++
Re: Antique-retro-2.6.18-alt12M40.3
« Ответ #112 : 11.07.2013 15:55:57 »
Тут, видимо, нужна такая последовательность, у меня 8(7) в итоге ставилась нормально после обычного удаления 9.27 Синаптиком и без очисток этого каталога. Разные версии пробовал opera - так ничего удовлетворительного не подобрал (тормозят). Видимо нужно брать ОС легче, так думаю, например, Junior и в ней уже пробовать по функционалу ту же 9.27 или 8-ю, так, может, потянет страницы - vk.com - диалоги? Или есть браузеры по-легче?
« Последнее редактирование: 11.07.2013 20:00:50 от Vasiliy »

Оффлайн YYY

  • Мастер
  • ***
  • Сообщений: 5 416
Re: Antique-retro-2.6.18-alt12M40.3
« Ответ #113 : 12.07.2013 11:56:53 »
Э... ИМХО спешить не надо...

Я бы все же провел эксперименты... А потом на основании выводов действовал дальше...

Для начала надо определить во что упирается компьютер... Т.е. почему "тормозит"...
Варианта, как вижу, два...
а) упирается в память, ОЗУ не хватает, компьютер свопит -> тормозит
б) упирается в процессор, производительности ЦПУ на скриптах не хватает -> тормозит

Если первое легко можно решить взяв ОС "легче"... Ну например из 2ой ветки альты - выигрыш будет наверное 10-15 Мб, а если взять, чур меня, Вин98 - дак там вообще сама система легкая... Т.е. улучшения будут хорошо заметны...
То со вторым что делать... совершенно не понятно... Да, более старая система будет меньше нагружать ЦПУ... Но браузер и скрипты вконтакта как требовали.. так и будут требовать... И тут, ИМХО, улучшения будут крайне не велики...

А эксперимент мне видится таким :)
1. Подобрать как можно более старую оперу по версии (почему опера - ну примерно по ней можно оценивать уровень минимальных требований, она всегда была легкой по сравнению с другими браузерами) которая позволяет нормально пользоваться вконтактом...
2. Установить htop
3. Запустить оперу и htop - чтоб они были на экране вместе видны и следить как меняется нагрузка на систему при хождении по разным страничкам:
3.1 Как меняется потребление ОЗУ (сортировку в htop сделать по MEM) и как растет SWAP
3.1 Как меняется нагрузка ЦПУ (сортировку в htop сделать по CPU)
4. Найти кто съедает ресурсы, на каких страничках и в каком количестве (% от ресурса).
5. По результатам сделать выводы и разработать рекомендации :)

Оффлайн Vasiliy

  • Давно тут
  • **
  • Сообщений: 309
  • +++
Re: Antique-retro-2.6.18-alt12M40.3
« Ответ #114 : 13.07.2013 11:48:42 »
Согласен. Opera + Junior1.1. Почему? Они самые быстрые. Времени не много на эксперименты, к сожалению, но очень нужно. То, что 8-ка, 9-ка - это и есть тот минимальный функционал, экспериментально подтверждено, но им не хватает более быстрой операционной среды. Начну пока с Мастер 2.4, а Junior на потом.
« Последнее редактирование: 13.07.2013 16:50:29 от Vasiliy »

Sim

  • Гость
Re: Antique-retro-2.6.18-alt12M40.3
« Ответ #115 : 18.11.2014 07:34:53 »
Чтобы не заводить новую тему, спрошу здесь: дайте, пожалуйста, рабочую ссылку на Antique-retro-2.6.18. К сожалению перерыл все, нашел одну только ссылку  ftp://ftp.sumylug.osdn.org.ua/pub/Linux/ALT/people/_balbes/antique/iso/antique-retro-2.6.18-alt12M40.3-cd.iso, да и та не рабочая.
Заранее спасибо.

Оффлайн sb

  • Модератор глобальный
  • *****
  • Сообщений: 8 124
  • Кто ищет, тот найдёт.
    • Email
Re: Antique-retro-2.6.18-alt12M40.3
« Ответ #116 : 23.11.2014 11:17:01 »
Попробуйте скачать по второй ссылке из подписи (образ в каталоге iso).
« Последнее редактирование: 23.11.2014 11:40:37 от sb »

Оффлайн Balbes

  • Мастер
  • ***
  • Сообщений: 543
Re: Antique-retro-2.6.18-alt12M40.3
« Ответ #117 : 11.06.2015 12:39:07 »
Для желающих попробовать обновленную версию :

https://yadi.sk/d/Y1V2_0yPgL7Sg

Подробности\пожелания\замечания :

http://forum.russ2.com/index.php?showtopic=3322&st=180&start=180

http://lists.altlinux.org/pipermail/antique/